Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA.dynany
Class DynValueBoxImpl

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.CORBA.dynany.DynAnyImpl
                  |
                  +--org.openorb.CORBA.dynany.DynValueBoxImpl

All Implemented Interfaces:
  DynAny, DynAnyOperations, DynValueBox, DynValueBoxOperations, DynValueCommon, DynValueCommonOperations, IDLEntity, Object, java.io.Serializable

public class DynValueBoxImpl
extends org.openorb.CORBA.dynany.DynAnyImpl
implements DynValueBox

DynValueBox implementation.

Version:
  $Revision: 1.7 $ $Date: 2002/07/16 11:40:23 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Constructor Summary
`DynValueBoxImpl(DynAnyFactory factory, ORB orb, TypeCode type)` Constructor

Method Summary
`void` | `assign(DynAny dynm_any)` Operation assign
`int` | `component_count()` Operation component_count
`DynAny` | `copy()` Operation copy
`DynAny` | `current_component()` Operation current_component
`void` | `destroy()` Operation destroy
`boolean` | `equal(DynAny dyn_any)` Operantion equal
`void` | `from_any(Any value)` Operation from_any
`java.lang.Object` | `get_abstract()` Operation get_abstract
`Any` | `get_any()` Operation get_any
`boolean` | `get_boolean()` Operation get_boolean
`DynAny` | `get_boxed_value_as_dyn_any()` Operation get_boxed_value_as_dyn_any
`Any` | `get_boxed_value()` Operation get_boxed_value
`char` | `get_char()` Operation get_char
`double` | `get_double()` Operation get_double
`DynAny` | `get_dyn_any()` Operation get_dyn_any
`float` | `get_float()` Operation get_float
`int` | `get_long()` Operation get_long
`long` | `get_longlong()` Operation get_longlong
`byte` | `get_octet()` Operation get_octet
`Object` | `get_reference()` Operation get_reference
`short` | `get_short()` Operation get_short
`java.lang.String` | `get_string()` Operation get_string
`TypeCode` | `get_typecode()` Operation get_typecode
`int` | `get_ulong()` Operation get_ulong
`long` | `get_ulonglong()` Operation get_ulonglong
`short` | `get_ushort()` Operation get_ushort
`java.io.Serializable` | `get_val()` Operation get_val
`char` | `get_wchar()` Operation get_wchar
`java.lang.String` | `get_wstring()` Operation get_wstring
`TypeCode[]` | `getValueMember(TypeCode m_tc)` This operation returns all the value member typecodes
`void` | `insert_abstract(java.lang.Object value)` Operation insert_abstract
`void` | `insert_any(Any value)` Operation insert_any
`void` | `insert_boolean(boolean value)` Operation insert_boolean
`void` | `insert_char(char value)` Operation insert_char
`void` | `insert_double(double value)` Operation insert_double
`void` | `insert_dyn_any(DynAny value)` Operation insert_dyn_any
`void` | `insert_float(float value)` Operation insert_float
`void` | `insert_long(int value)` Operation insert_long
`void` | `insert_longlong(long value)` Operation insert_longlong
`void` | `insert_octet(byte value)` Operation insert_octet
`void` | `insert_reference(Object value)` Operation insert_reference
`void` | `insert_short(short value)` Operation insert_short
`void` | `insert_string(java.lang.String value)` Operation insert_string
`void` | `insert_typecode(TypeCode value)` Operation insert_typecode
`void` | `insert_ulong(int value)` Operation insert_ulong
`void` | `insert_ulonglong(long value)` Operation insert_ulonglong
`void` | `insert_ushort(short value)` Operation insert_ushort
`void` | `insert_val(java.io.Serializable value)` Operation insert_val
`void` | `insert_wchar(char value)` Operation insert_wchar
`void` | `insert_wstring(java.lang.String value)` Operation insert_wstring
`boolean` | `is_null()` Operation is_null
`boolean` | `next()` Operation next
`void` | `rewind()` Operation rewind
`boolean` | `seek(int index)` Operation seek
`void` | `set_boxed_value_as_dyn_any(DynAny boxed)` Operation set_boxed_value_as_dyn_any
`void` | `set_boxed_value(Any boxed)` Operation set_boxed_value
`void` | `set_to_null()` Operation set_to_null
`void` | `set_to_value()` Operation set_to_value
`Any` | `to_any()` Operation to_any
`TypeCode` | `type()` Operation type

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.DynamicAny.DynAnyOperations
`equal, get_abstract, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_abstract, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, type`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### DynValueBoxImpl

    public DynValueBoxImpl(DynAnyFactory factory,
                           ORB orb,
                           TypeCode type)

  Constructor

Method Detail

### assign

    public void assign(DynAny dynm_any)
                throws TypeMismatch

  Operation assign
  Specified by:
    `assign` in interface `DynAnyOperations`
  Overrides:
    `assign` in class `org.openorb.CORBA.dynany.DynAnyImpl`

### from_any

    public void from_any(Any value)
                  throws InvalidValue,
                         TypeMismatch

  Operation from_any
  Specified by:
    `from_any` in interface `DynAnyOperations`
  Overrides:
    `from_any` in class `org.openorb.CORBA.dynany.DynAnyImpl`

### to_any

    public Any to_any()

  Operation to_any
  Specified by:
    `to_any` in interface `DynAnyOperations`
  Overrides:
    `to_any` in class `org.openorb.CORBA.dynany.DynAnyImpl`

### destroy

    public void destroy()

  Operation destroy
  Specified by:
    `destroy` in interface `DynAnyOperations`
  Overrides:
    `destroy` in class `org.openorb.CORBA.dynany.DynAnyImpl`

### copy

    public DynAny copy()

  Operation copy
  Specified by:
    `copy` in interface `DynAnyOperations`
  Overrides:
    `copy` in class `org.openorb.CORBA.dynany.DynAnyImpl`

### current_component

    public DynAny current_component()

  Operation current_component
  Specified by:
    `current_component` in interface `DynAnyOperations`
  Overrides:
    `current_component` in class `org.openorb.CORBA.dynany.DynAnyImpl`

### next

    public boolean next()

  Operation next
  Specified by:
    `next` in interface `DynAnyOperations`
  Overrides:
    `next` in class `org.openorb.CORBA.dynany.DynAnyImpl`

### seek

    public boolean seek(int index)

  Operation seek
  Specified by:
    `seek` in interface `DynAnyOperations`
  Overrides:
    `seek` in class `org.openorb.CORBA.dynany.DynAnyImpl`

### rewind

    public void rewind()

  Operation rewind
  Specified by:
    `rewind` in interface `DynAnyOperations`
  Overrides:
    `rewind` in class `org.openorb.CORBA.dynany.DynAnyImpl`

### component_count

    public int component_count()

  Operation component_count
  Specified by:
    `component_count` in interface `DynAnyOperations`
  Overrides:
    `component_count` in class `org.openorb.CORBA.dynany.DynAnyImpl`

### is_null

    public boolean is_null()

  Description copied from interface: `DynValueCommonOperations`
  Operation is_null
  Specified by:
    `is_null` in interface `DynValueCommonOperations`

### set_to_null

    public void set_to_null()

  Description copied from interface: `DynValueCommonOperations`
  Operation set_to_null
  Specified by:
    `set_to_null` in interface `DynValueCommonOperations`

### set_to_value

    public void set_to_value()

  Description copied from interface: `DynValueCommonOperations`
  Operation set_to_value
  Specified by:
    `set_to_value` in interface `DynValueCommonOperations`

### get_boxed_value

    public Any get_boxed_value()
                        throws InvalidValue

  Description copied from interface: `DynValueBoxOperations`
  Operation get_boxed_value
  Specified by:
    `get_boxed_value` in interface `DynValueBoxOperations`

### set_boxed_value

    public void set_boxed_value(Any boxed)
                         throws TypeMismatch

  Description copied from interface: `DynValueBoxOperations`
  Operation set_boxed_value
  Specified by:
    `set_boxed_value` in interface `DynValueBoxOperations`

### get_boxed_value_as_dyn_any

    public DynAny get_boxed_value_as_dyn_any()
                                      throws InvalidValue

  Description copied from interface: `DynValueBoxOperations`
  Operation get_boxed_value_as_dyn_any
  Specified by:
    `get_boxed_value_as_dyn_any` in interface `DynValueBoxOperations`

### set_boxed_value_as_dyn_any

    public void set_boxed_value_as_dyn_any(DynAny boxed)
                                    throws TypeMismatch

  Description copied from interface: `DynValueBoxOperations`
  Operation set_boxed_value_as_dyn_any
  Specified by:
    `set_boxed_value_as_dyn_any` in interface `DynValueBoxOperations`

### type

    public TypeCode type()

  Operation type
  Specified by:
    `type` in interface `DynAnyOperations`

### equal

    public boolean equal(DynAny dyn_any)

  Operantion equal
  Specified by:
    `equal` in interface `DynAnyOperations`

### insert_boolean

    public void insert_boolean(boolean value)
                        throws InvalidValue,
                               TypeMismatch

  Operation insert_boolean
  Specified by:
    `insert_boolean` in interface `DynAnyOperations`

### insert_octet

    public void insert_octet(byte value)
                      throws InvalidValue,
                             TypeMismatch

  Operation insert_octet
  Specified by:
    `insert_octet` in interface `DynAnyOperations`

### insert_char

    public void insert_char(char value)
                     throws InvalidValue,
                            TypeMismatch

  Operation insert_char
  Specified by:
    `insert_char` in interface `DynAnyOperations`

### insert_short

    public void insert_short(short value)
                      throws InvalidValue,
                             TypeMismatch

  Operation insert_short
  Specified by:
    `insert_short` in interface `DynAnyOperations`

### insert_ushort

    public void insert_ushort(short value)
                       throws InvalidValue,
                              TypeMismatch

  Operation insert_ushort
  Specified by:
    `insert_ushort` in interface `DynAnyOperations`

### insert_long

    public void insert_long(int value)
                     throws InvalidValue,
                            TypeMismatch

  Operation insert_long
  Specified by:
    `insert_long` in interface `DynAnyOperations`

### insert_ulong

    public void insert_ulong(int value)
                      throws InvalidValue,
                             TypeMismatch

  Operation insert_ulong
  Specified by:
    `insert_ulong` in interface `DynAnyOperations`

### insert_float

    public void insert_float(float value)
                      throws InvalidValue,
                             TypeMismatch

  Operation insert_float
  Specified by:
    `insert_float` in interface `DynAnyOperations`

### insert_double

    public void insert_double(double value)
                       throws InvalidValue,
                              TypeMismatch

  Operation insert_double
  Specified by:
    `insert_double` in interface `DynAnyOperations`

### insert_string

    public void insert_string(java.lang.String value)
                       throws InvalidValue,
                              TypeMismatch

  Operation insert_string
  Specified by:
    `insert_string` in interface `DynAnyOperations`

### insert_reference

    public void insert_reference(Object value)
                          throws InvalidValue,
                                 TypeMismatch

  Operation insert_reference
  Specified by:
    `insert_reference` in interface `DynAnyOperations`

### insert_typecode

    public void insert_typecode(TypeCode value)
                         throws InvalidValue,
                                TypeMismatch

  Operation insert_typecode
  Specified by:
    `insert_typecode` in interface `DynAnyOperations`

### insert_longlong

    public void insert_longlong(long value)
                         throws InvalidValue,
                                TypeMismatch

  Operation insert_longlong
  Specified by:
    `insert_longlong` in interface `DynAnyOperations`

### insert_ulonglong

    public void insert_ulonglong(long value)
                          throws InvalidValue,
                                 TypeMismatch

  Operation insert_ulonglong
  Specified by:
    `insert_ulonglong` in interface `DynAnyOperations`

### insert_wchar

    public void insert_wchar(char value)
                      throws InvalidValue,
                             TypeMismatch

  Operation insert_wchar
  Specified by:
    `insert_wchar` in interface `DynAnyOperations`

### insert_wstring

    public void insert_wstring(java.lang.String value)
                        throws InvalidValue,
                               TypeMismatch

  Operation insert_wstring
  Specified by:
    `insert_wstring` in interface `DynAnyOperations`

### insert_any

    public void insert_any(Any value)
                    throws InvalidValue,
                           TypeMismatch

  Operation insert_any
  Specified by:
    `insert_any` in interface `DynAnyOperations`

### insert_dyn_any

    public void insert_dyn_any(DynAny value)
                        throws InvalidValue,
                               TypeMismatch

  Operation insert_dyn_any
  Specified by:
    `insert_dyn_any` in interface `DynAnyOperations`

### insert_val

    public void insert_val(java.io.Serializable value)
                    throws InvalidValue,
                           TypeMismatch

  Operation insert_val
  Specified by:
    `insert_val` in interface `DynAnyOperations`

### insert_abstract

    public void insert_abstract(java.lang.Object value)
                         throws TypeMismatch,
                                InvalidValue

  Description copied from interface: `DynAnyOperations`
  Operation insert_abstract
  Specified by:
    `insert_abstract` in interface `DynAnyOperations`

### get_boolean

    public boolean get_boolean()
                        throws InvalidValue,
                               TypeMismatch

  Operation get_boolean
  Specified by:
    `get_boolean` in interface `DynAnyOperations`

### get_octet

    public byte get_octet()
                   throws InvalidValue,
                          TypeMismatch

  Operation get_octet
  Specified by:
    `get_octet` in interface `DynAnyOperations`

### get_char

    public char get_char()
                  throws InvalidValue,
                         TypeMismatch

  Operation get_char
  Specified by:
    `get_char` in interface `DynAnyOperations`

### get_short

    public short get_short()
                    throws InvalidValue,
                           TypeMismatch

  Operation get_short
  Specified by:
    `get_short` in interface `DynAnyOperations`

### get_ushort

    public short get_ushort()
                     throws InvalidValue,
                            TypeMismatch

  Operation get_ushort
  Specified by:
    `get_ushort` in interface `DynAnyOperations`

### get_long

    public int get_long()
                 throws InvalidValue,
                        TypeMismatch

  Operation get_long
  Specified by:
    `get_long` in interface `DynAnyOperations`

### get_ulong

    public int get_ulong()
                  throws InvalidValue,
                         TypeMismatch

  Operation get_ulong
  Specified by:
    `get_ulong` in interface `DynAnyOperations`

### get_float

    public float get_float()
                    throws InvalidValue,
                           TypeMismatch

  Operation get_float
  Specified by:
    `get_float` in interface `DynAnyOperations`

### get_double

    public double get_double()
                      throws InvalidValue,
                             TypeMismatch

  Operation get_double
  Specified by:
    `get_double` in interface `DynAnyOperations`

### get_string

    public java.lang.String get_string()
                                throws InvalidValue,
                                       TypeMismatch

  Operation get_string
  Specified by:
    `get_string` in interface `DynAnyOperations`

### get_reference

    public Object get_reference()
                         throws InvalidValue,
                                TypeMismatch

  Operation get_reference
  Specified by:
    `get_reference` in interface `DynAnyOperations`

### get_typecode

    public TypeCode get_typecode()
                          throws InvalidValue,
                                 TypeMismatch

  Operation get_typecode
  Specified by:
    `get_typecode` in interface `DynAnyOperations`

### get_longlong

    public long get_longlong()
                      throws InvalidValue,
                             TypeMismatch

  Operation get_longlong
  Specified by:
    `get_longlong` in interface `DynAnyOperations`

### get_ulonglong

    public long get_ulonglong()
                       throws InvalidValue,
                              TypeMismatch

  Operation get_ulonglong
  Specified by:
    `get_ulonglong` in interface `DynAnyOperations`

### get_wchar

    public char get_wchar()
                   throws InvalidValue,
                          TypeMismatch

  Operation get_wchar
  Specified by:
    `get_wchar` in interface `DynAnyOperations`

### get_wstring

    public java.lang.String get_wstring()
                                 throws InvalidValue,
                                        TypeMismatch

  Operation get_wstring
  Specified by:
    `get_wstring` in interface `DynAnyOperations`

### get_any

    public Any get_any()
                throws InvalidValue,
                       TypeMismatch

  Operation get_any
  Specified by:
    `get_any` in interface `DynAnyOperations`

### get_dyn_any

    public DynAny get_dyn_any()
                       throws InvalidValue,
                              TypeMismatch

  Operation get_dyn_any
  Specified by:
    `get_dyn_any` in interface `DynAnyOperations`

### get_val

    public java.io.Serializable get_val()
                                 throws InvalidValue,
                                        TypeMismatch

  Operation get_val
  Specified by:
    `get_val` in interface `DynAnyOperations`

### get_abstract

    public java.lang.Object get_abstract()
                                  throws TypeMismatch,
                                         InvalidValue

  Operation get_abstract
  Specified by:
    `get_abstract` in interface `DynAnyOperations`

### getValueMember

    public TypeCode[] getValueMember(TypeCode m_tc)

  This operation returns all the value member typecodes

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD